# Uses of Class
net.shibboleth.idp.profile.context.ProfileInterceptorContext

Packages that use ProfileInterceptorContext
Package
Description
net.shibboleth.idp.consent.flow.ar.impl
Actions and flow descriptors related to attribute release consent.
net.shibboleth.idp.consent.flow.impl
Actions and flow descriptors related to consent.
net.shibboleth.idp.consent.flow.storage.impl
Actions related to consent storage.
net.shibboleth.idp.consent.logic.impl
Predicates and functions related to attribute consent.
net.shibboleth.idp.profile.interceptor
Classes supporting profile interceptor machinery.
net.shibboleth.idp.profile.interceptor.impl
Implementation of a profile interceptor flow which executes other flows.

## Uses of ProfileInterceptorContext in net.shibboleth.idp.consent.flow.ar.impl

Methods in net.shibboleth.idp.consent.flow.ar.impl with parameters of type ProfileInterceptorContext
Modifier and Type
Method
Description
`protected void`
InitializeAttributeReleaseContext.`doExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action.
`protected void`
PopulateAttributeReleaseContext.`doExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action.
`protected void`
ReleaseAttributes.`doExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action.
`protected void`
ValidatedExtractedConsent.`doExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action.
`protected boolean`
AbstractAttributeReleaseAction.`doPreExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action's pre-execute step.

## Uses of ProfileInterceptorContext in net.shibboleth.idp.consent.flow.impl

Methods in net.shibboleth.idp.consent.flow.impl with parameters of type ProfileInterceptorContext
Modifier and Type
Method
Description
`protected void`
ExtractConsent.`doExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action.
`protected void`
InitializeConsentContext.`doExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action.
`protected void`
PopulateConsentContext.`doExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action.
`protected boolean`
AbstractConsentAction.`doPreExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action's pre-execute step.

## Uses of ProfileInterceptorContext in net.shibboleth.idp.consent.flow.storage.impl

Methods in net.shibboleth.idp.consent.flow.storage.impl with parameters of type ProfileInterceptorContext
Modifier and Type
Method
Description
`protected void`
CreateGlobalConsentResult.`doExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action.
`protected void`
CreateResult.`doExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action.
`protected void`
ReadConsentFromStorage.`doExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action.
`protected void`
RevokeConsent.`doExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action.
`protected void`
UpdateCounter.`doExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action.
`protected boolean`
AbstractConsentIndexedStorageAction.`doPreExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action's pre-execute step.
`protected boolean`
AbstractConsentStorageAction.`doPreExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action's pre-execute step.
`protected boolean`
CreateResult.`doPreExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action's pre-execute step.

## Uses of ProfileInterceptorContext in net.shibboleth.idp.consent.logic.impl

Fields in net.shibboleth.idp.consent.logic.impl with type parameters of type ProfileInterceptorContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,ProfileInterceptorContext>`
CounterStorageKeyFunction.`interceptorContextlookupStrategy`
Strategy used to find the `ProfileInterceptorContext` from the `ProfileRequestContext`.
`private Function<ProfileRequestContext,ProfileInterceptorContext>`
FlowDescriptorLookupFunction.`interceptorContextlookupStrategy`
Profile interceptor context lookup strategy.
Method parameters in net.shibboleth.idp.consent.logic.impl with type arguments of type ProfileInterceptorContext
Modifier and Type
Method
Description
`void`
FlowDescriptorLookupFunction.`setInterceptorContextlookupStrategy(Function<ProfileRequestContext,ProfileInterceptorContext> strategy)`
Set the interceptor context lookup strategy.
`void`
CounterStorageKeyFunction.`setInterceptorContextLookupStrategy(Function<ProfileRequestContext,ProfileInterceptorContext> strategy)`
Set the profile interceptor context lookup strategy.

## Uses of ProfileInterceptorContext in net.shibboleth.idp.profile.interceptor

Fields in net.shibboleth.idp.profile.interceptor declared as ProfileInterceptorContext
Modifier and Type
Field
Description
`private ProfileInterceptorContext`
AbstractProfileInterceptorAction.`profileInterceptorContext`
The `ProfileInterceptorContext` to operate on.
Fields in net.shibboleth.idp.profile.interceptor with type parameters of type ProfileInterceptorContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,ProfileInterceptorContext>`
AbstractProfileInterceptorAction.`interceptorContextlookupStrategy`
Strategy used to find the `ProfileInterceptorContext` from the `ProfileRequestContext`.
Methods in net.shibboleth.idp.profile.interceptor that return ProfileInterceptorContext
Modifier and Type
Method
Description
`private ProfileInterceptorContext`
AbstractProfileInterceptorAction.`getProfileInterceptorContext()`
null safe getter.
Methods in net.shibboleth.idp.profile.interceptor with parameters of type ProfileInterceptorContext
Modifier and Type
Method
Description
`protected void`
AbstractProfileInterceptorAction.`doExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action.
`protected boolean`
AbstractProfileInterceptorAction.`doPreExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action's pre-execute step.
Method parameters in net.shibboleth.idp.profile.interceptor with type arguments of type ProfileInterceptorContext
Modifier and Type
Method
Description
`void`
AbstractProfileInterceptorAction.`setLookupStrategy(Function<ProfileRequestContext,ProfileInterceptorContext> strategy)`
Set the context lookup strategy for `ProfileInterceptorContext`.

## Uses of ProfileInterceptorContext in net.shibboleth.idp.profile.interceptor.impl

Methods in net.shibboleth.idp.profile.interceptor.impl with parameters of type ProfileInterceptorContext
Modifier and Type
Method
Description
`protected void`
FilterFlowsByNonBrowserSupport.`doExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action.
`protected void`
PopulateProfileInterceptorContext.`doExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action.
`protected void`
SelectProfileInterceptorFlow.`doExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action.
`protected void`
WriteProfileInterceptorResultToStorage.`doExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action.
`protected boolean`
FilterFlowsByNonBrowserSupport.`doPreExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action's pre-execute step.
`protected boolean`
SelectProfileInterceptorFlow.`doPreExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action's pre-execute step.
`protected boolean`
WriteProfileInterceptorResultToStorage.`doPreExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action's pre-execute step.
`private ProfileInterceptorFlowDescriptor`
SelectProfileInterceptorFlow.`selectUnattemptedFlow(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Select the first potential flow not found in the completed flows collection, and that is applicable to the context.